from django.urls import path
from .views import sales, sales_quote
from quotations.views import check_customer_fundi_existence, delete_inquiry, delete_quotation,  quotations, create_quotation, add_quotation, quotation_detail, update_discount_inquiry, update_inquiry
from invoices.views import invoice_details, invoices
from dispatch.views import dispatch
from payments.views import make_payment, payments
from notifications.views import notifications

app_name = "sales"

urlpatterns = [
    path('', sales, name="sales"),
    path('quotations/',quotations, name="quotations"),
    path('quotation/add', add_quotation, name="add_quotation"),
    path('quotation/<int:quotation_id>/', quotation_detail, name='quotation_detail'),
    path('api/make-payment/', make_payment, name='make_payment'),
    path('api/update_inquiry/', update_inquiry, name='update_inquiry'),
    path('api/delete_inquiry/', delete_inquiry, name='delete_inquiry'),
    path('quotations/<int:quotation_id>/delete/', delete_quotation, name='delete_quotation'),
    path('api/update_discount_inquiry/', update_discount_inquiry, name='update_inquiry'),

    path('api/create_quotation',create_quotation, name="create_quotation"),
    path('api/check_customer_fundi_existence/', check_customer_fundi_existence, name='check_existence'), 
    path('sales_quote/',sales_quote,name="sales_quote"),

    path('invoices/', invoices, name="invoices"),
    path('invoice/<int:quotation_id>/', invoice_details, name="invoice_details"),
    path('dispatch/', dispatch, name="dispatch"),
    path('payments/', payments, name="payments"),
    path('notifications/', notifications, name="notifications"),
]
